# buffer.hpp File Reference

`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/object.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Classes
class | saga::const_buffer
| Encapsulates I/O operations. More...
class | saga::mutable_buffer
| Brief description starts here. More...
## Functions
mutable_buffer | saga::buffer (void *data, saga::size_t size)
const_buffer | saga::buffer (void const *data, saga::size_t size)
template<typename PodType, std::size_t N>
mutable_buffer | saga::buffer (PodType(&data)[N])
template<typename PodType, std::size_t N>
const_buffer | saga::buffer (PodType const (&data)[N])
template<typename PodType, std::size_t N>
mutable_buffer | saga::buffer (PodType(&data)[N], saga::size_t max_size)
template<typename PodType, std::size_t N>
const_buffer | saga::buffer (PodType const (&data)[N], saga::size_t max_size)
template<typename PodType, typename Allocator>
mutable_buffer | saga::buffer (std::vector< PodType, Allocator > &data)
template<typename PodType, typename Allocator>
const_buffer | saga::buffer (std::vector< PodType, Allocator > const &data)
template<typename PodType, typename Allocator>
mutable_buffer | saga::buffer (std::vector< PodType, Allocator > &data, saga::size_t max_size)
template<typename PodType, typename Allocator>
const_buffer | saga::buffer (std::vector< PodType, Allocator > const &data, saga::size_t max_size)
template<typename Char, typename Traits, typename Allocator>
const_buffer | saga::buffer (std::basic_string< Char, Traits, Allocator > const &data)
template<typename Char, typename Traits, typename Allocator>
const_buffer | saga::buffer (std::basic_string< Char, Traits, Allocator > const &data, saga::size_t max_size)